### Constructor

# AppStreamCompose Image new_from_data

#### Declaration [src]

    AscImage*
    asc_image_new_from_data (
      void* data,
      gssize len,
      gint dest_width,
      gint dest_height,
      AscImageLoadFlags flags,
      AscImageFormat format_hint,
      GError** error
    )

#### Description [src]

Creates a new `AscImage` from data in memory.

#### Parameters

`data`

  Type: `void*`

  Data to load.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`len`

  Type: `gssize`

  Length of the data to load.

`dest_width`

  Type: `gint`

  The suggested width of the constructed pixbuf, or 0 for the native size.

`dest_height`

  Type: `gint`

  The suggested height of the constructed pixbuf, or 0 for the native size.

`flags`

  Type: `AscImageLoadFlags`

  A `AscImageLoadFlags`, e.g. `ASC_IMAGE_LOAD_FLAG_NONE`.

`format_hint`

  Type: `AscImageFormat`

  Assume the specified image format for data, use `ASC_IMAGE_FORMAT_UNKNOWN` to guess.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `AscImage`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.